## SmartPush - Free Web Push Notifications

Contributors: SmartPushAi
Tags: web push, web push notifications, notifications, subscribe, subscribers, notification, smart, push
Requires at least: 4.6
Tested up to: 5.9
Stable tag: 1.0.3
License: GPLv2 or later
License URI: https://www.gnu.org/licenses/gpl-2.0.html

Web push notifications for your website. Available in Chrome & Firefox (desktop) with support for Android and Safari coming soon.


## Description

SmartPush is a leading provider of web push notification services that helps businesses re-engage with their potential customers and maximize the leads. We've sent more than 76B notifications and reliably delivered over 14B push messages globally, supporting our partners across multiple platforms.

SmartPush is highly scalable, secure, easy-to-use, and comes with all the features you need to retain your visitors and enhance customer engagement. To make the push notification experience even more enriching for our customers, we are going to integrate AI features into some parts of our platform to ensure a more optimized and data-driven push strategy.


## Installation

Setting up SmartPush is quick and easy. Follow these steps to connect your platform with our push service:
1. Search for 'SmartPush' in your plugin directory; when you find it click on Install
2. Go to the list of your installed plugins and click Activate
3. Once the plugin is activated, all you need to do is provide us with your App ID from your SmartPush.ai account
4. If you do not have an account yet, please [sign up for free](https://app.smartpush.ai/register) here.
5. Then sign in to your SmartPush.ai dashboard to copy your App ID from this page
6. Return back to WordPress and paste your App ID into your SmartPush settings and click Save. You can get to the SmartPush settings page by clicking on Plugins and then looking for the link to our settings page under our plugin name
7. Once you click save, the javascript code should be installed, and your site should now have the default chicklet installed on it


## Powerful Features from SmartPush

### Simple Setup

Setting up SmartPush is quick and easy! Simply sign up, paste the SmartPush snippet code, and you're ready to go!

### Advanced Segmentation

With SmartPush, you get advanced segmentation tools to better understand user flow and target them with the most relevant messages based on multiple segments.

### Scalable Business Model/Unlimited Subscribers

We offer a scalable subscription model you need for growing your business globally. You are free to increase your subscribers without limits and scale up your business quickly and effectively.

### Custom Subscription Parameters

Custom segments are a great way to target specific customer journeys and use these data for reaching users with more relevant and personalized push campaigns.

### Language and Country Customization

Web push notifications create even more value when they are sent at times and in the language that would be the most comfortable for users. Take the benefit of our Language and Country optimization feature to optimize your push content based on different languages and countries.

### End-to-End Encryption Technology

Our end-to-end encryption technology adds an additional layer of security to your messages, ensuring that all push communications are highly protected and readable only at the sender and the receiver side.


## Pricing Plans

Learn about our pricing plans here: [https://www.smartpush.ai/#pricing](https://www.smartpush.ai/#pricing)


## Migration from OneSignal and Other Push Notification Platforms

What makes SmartPush stand out from other push notification services is the value-based pricing model, where customers pay for actually delivered messages only, without wasting their budget on subscribers who are not active.

While this gives us an edge over OneSignal and other platforms as a more effective and cheaper push notification platform, this is not the only advantage you get with us. With SmartPush, you can enjoy the benefit of migrating your subscriber database fast, easy.

Users who come to your site and have opted in to receive push notifications will automatically be added to your list of subscribers once you have the SmartPush plugin installed on your website.


## FAQ

#### Are web push notification services really free?

Yes, they are free until you reach a certain subscriber count. Until you reach that subscriber count, you can send as many notifications as you want!

We're confident that once you start paying for an account, that means your traffic is getting bigger, and your ROI on SmartPush should easily cover the monthly fees.

#### Do I need an Apple or Google Developer account to sign up?

Nope, we take care of all of that.

#### Will it work on HTTP and HTTPS sites?

Yes, it works on both, and we will be adding additional functionality to continue to give users of both types of sites the best experience possible.

#### Do my subscribers have to create an account with me or with SmartPush to get the push notifications?

No, they don’t have to do either. It’s a simple one-click subscription service for them, and they’re done. They can also unsubscribe any time they want through their browser.

#### I am unable to locate my Site ID on SmartPush.ai; what should I do?

Your Site ID is displayed on the Install Code page. In the top menu of your dashboard, look for the small icon next to the Send Notification button. This will take you to the Install Code page. From there, look for the WordPress option and click on it. You’ll then see your Site ID under this page, and you can copy it straight from here.

#### Do I need to install it for all my websites separately?

Yes, the SmartPush push notification WordPress plugin needs to be installed separately on each of your websites. If you have more than one website you manage, you will want to Add a Site on your SmartPush account or sign up for a new account with a different username.

#### Is there any SmartPush branding on the notifications?

No, push notifications sent via SmartPush do not contain any SmartPush logo, brand colors, design, icon, or other branding elements. So you are free to craft customized push messages that will best communicate your brand identity.


## Screenshots


## Changelog

- 1.0.0
  - Initial launch of plugin

- 1.0.2
  - SmartPush rebranding applied to plugin

- 1.0.3
  - Optimization and improvements
